<?php
/*
 * ----------------------------------------------------------------------------
 * Who.php                                                           04/21/2004
 * Display who's online the BBS to the mobile device.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');
require_once($includeDir . 'va-functions.inc.php');
require_once($includeDir . 'va-main.inc.php');
require_once($includeDir . 'va-control.inc.php');
include_once('wml_header.php');
?>

<wml>

    <head>
        <meta http-equiv="Cache-Control" content="must-revalidate" forua="true" />
        <meta http-equiv="Cache-Control" content="no-cache" forua="true" />
    </head>

    <card title="Who's Online">
        <p mode="wrap" align="center">

            <?php
            // Get who's online information...
            $who = array();
            for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                $who[$x] = GetControl($x);
            }
            ?>

            <b>Who's Online</b><br />
            <?php print $VA_MAIN['bbsname'] . "\n"; ?>
        </p>
        <p mode="nowrap">

            <?php
            // Print the results.
            $num = 0;
            for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                if ($who[$x]['userno'] != '') {
                    print '[' . str_pad($x, 2, '0', STR_PAD_LEFT) . '] <b>' . $who[$x]['handle'] . '</b> (#' . $who[$x]['userno'] . ")<br />\n";
                    $num++;
                }
            }
            if ($num == 0) {
                print "No users online.\n";
            }
            ?>

        </p>
        <?php include('mobile_footer.php'); ?>
    </card>

</wml>
